Bug 1320532 (sebastian/object-enumerator) - Review Request: php-sebastian-object-enumerator - Traverses array and object to enumerate all referenced objects
Summary: Review Request: php-sebastian-object-enumerator - Traverses array and object ...
Status: CLOSED ERRATA
Alias: sebastian/object-enumerator
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Shawn Iwinski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-03-23 12:34 UTC by Remi Collet
Modified: 2016-04-17 23:42 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-04-17 23:42:15 UTC
shawn: fedora-review+


Attachments (Terms of Use)
phpcompatinfo-full.log (3.03 KB, text/plain)
2016-04-12 18:41 UTC, Shawn Iwinski
no flags Details
phpcompatinfo-lib.log (2.64 KB, text/plain)
2016-04-12 18:41 UTC, Shawn Iwinski
no flags Details
fedora-review.txt (7.15 KB, text/plain)
2016-04-12 18:43 UTC, Shawn Iwinski
no flags Details

Description Remi Collet 2016-03-23 12:34:00 UTC
Spec URL: https://raw.githubusercontent.com/remicollet/remirepo/9994322bde876db0da64ef506161a6913a07cbf5/php/phpunit/php-sebastian-object-enumerator/php-sebastian-object-enumerator.spec
SRPM URL: http://rpms.remirepo.net/SRPMS/php-sebastian-object-enumerator-1.0.0-1.remi.src.rpm
Description: 
Traverses array structures and object graphs to enumerate all
referenced objects.


Fedora Account System Username: remi


New dependency of PHPUnit 5.3

Comment 1 Shawn Iwinski 2016-04-12 18:41 UTC
Created attachment 1146606 [details]
phpcompatinfo-full.log

phpCompatInfo version 5.0.0 DB built Mar 07 2016 07:28:32 CET

Comment 2 Shawn Iwinski 2016-04-12 18:41 UTC
Created attachment 1146607 [details]
phpcompatinfo-lib.log

phpCompatInfo version 5.0.0 DB built Mar 07 2016 07:28:32 CET

Comment 3 Shawn Iwinski 2016-04-12 18:43 UTC
Created attachment 1146608 [details]
fedora-review.txt

Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1320532
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, PHP, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 4 Shawn Iwinski 2016-04-12 18:46:03 UTC
[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[!]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[!]: Buildroot is not present
     Note: Buildroot: present but not needed
[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required

As usual, remove EPEL 5 bits after initial import.



No blockers.

===== APPROVED =====

Comment 5 Remi Collet 2016-04-13 04:49:36 UTC
Thanks!

SCM request open on pkgdb.

Comment 6 Gwyn Ciesla 2016-04-13 13:06:04 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/php-sebastian-object-enumerator

Comment 7 Fedora Update System 2016-04-13 13:26:02 UTC
php-sebastian-object-enumerator-1.0.0-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-221ede6ae7

Comment 8 Fedora Update System 2016-04-13 21:23:17 UTC
php-sebastian-object-enumerator-1.0.0-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-221ede6ae7

Comment 9 Fedora Update System 2016-04-17 23:42:13 UTC
php-sebastian-object-enumerator-1.0.0-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.